org.apache.fop.render.pdf.pdfbox

## Class ImageLoaderFactoryPDF

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory
  - - org.apache.fop.render.pdf.pdfbox.ImageLoaderFactoryPDF

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImageLoaderFactory

      public class ImageLoaderFactoryPDF
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

  Factory class for the ImageLoader for PDF.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderFactoryPDF()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedFlavors(java.lang.String mime)`
    `java.lang.String[]` | `getSupportedMIMETypes()`
    `int` | `getUsagePenalty(java.lang.String mime, org.apache.xmlgraphics.image.loader.ImageFlavor flavor)`
    `boolean` | `isAvailable()`
    `org.apache.xmlgraphics.image.loader.spi.ImageLoader` | `newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

      `isSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageLoaderFactoryPDF

          public ImageLoaderFactoryPDF()

  - ### Method Detail

    - #### getSupportedMIMETypes

          public java.lang.String[] getSupportedMIMETypes()

    - #### getSupportedFlavors

          public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedFlavors(java.lang.String mime)

    - #### newImageLoader

          public org.apache.xmlgraphics.image.loader.spi.ImageLoader newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)

    - #### getUsagePenalty

          public int getUsagePenalty(java.lang.String mime,
                                     org.apache.xmlgraphics.image.loader.ImageFlavor flavor)

      Specified by:
        `getUsagePenalty` in interface `org.apache.xmlgraphics.image.loader.spi.ImageLoaderFactory`
      Overrides:
        `getUsagePenalty` in class `org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory`

    - #### isAvailable

          public boolean isAvailable()

Copyright 2007-2021 The Apache Software Foundation. All Rights Reserved.